#
# Makefile for pledit
#

CONFIG = system.mk
 
include ../$(CONFIG)

SRCS	= main.c edit.c input.c getpath.c data.c
OBJS	= main.o edit.o input.o getpath.o data.o
HDRS	= pledit.h
#CC	= cc
LIBS	= -lcurses -ltermcap $(EXTRALIBS)
PROGRAM	= pledit

# Amdahl flags
#CFLAGS	= -O -s -eft

# Normal cflags
#CFLAGS = -O -s

# NBR server cflags
CFLAGS = $(OPT) $(FLAGS) $(EXTRAFLAGS) $(FILES) $(DIRS)

all:	$(PROGRAM)

$(PROGRAM):	$(OBJS)
	$(CC) $(CFLAGS) -o $(PROGRAM) $(OBJS) $(LIBS)

reallyclean: clean
	rm -f pledit #* *~

clean: rmdependencies
	-rm -f $(OBJS)

clobber: clean
	-rm -f $(PROGRAM)

install: all
	$(INSTALL) $(INSTALLOPTS) $(PROGRAM) $(LIBDIR)

shar:
	shar README Makefile $(HDRS) $(SRCS) > pledit.shar

tar:
	tar cvf pledit.tar README Makefile $(HDRS) $(SRCS)

depend:
	makedepend $(CFLAGS) -f Makefile $(SRCS)

rmdependencies:
	makedepend

# DO NOT DELETE THIS LINE -- make depend depends on it.
